# Generated from libnotify-0.9.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name libnotify

Name: rubygem-%{gem_name}
Version: 0.9.4
Release: 1%{?dist}
Summary: Ruby bindings for libnotify using FFI
License: MIT
URL: http://rubygems.org/gems/libnotify
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(minitest) >= 4.7.4
# BuildRequires: rubygem(minitest) < 4.8
# BuildRequires: rubygem(minitest-libnotify) >= 0.2.2
# BuildRequires: rubygem(minitest-libnotify) < 0.3
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Ruby bindings for libnotify using FFI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/etc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/libnotify.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 0.9.4-1
- Initial package
